patch-configure 10 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349
  1. --- xfsprogs-3.1.10.orig/configure 2011-11-07 21:24:09.000000000 +0100
  2. +++ xfsprogs-3.1.10/configure 2013-04-04 16:41:02.000000000 +0200
  3. @@ -12609,346 +12609,6 @@ fi
  4. -for ac_header in aio.h
  5. -do
  6. -as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
  7. -if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
  8. - { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
  9. -$as_echo_n "checking for $ac_header... " >&6; }
  10. -if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
  11. - $as_echo_n "(cached) " >&6
  12. -fi
  13. -ac_res=`eval 'as_val=${'$as_ac_Header'}
  14. - $as_echo "$as_val"'`
  15. - { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
  16. -$as_echo "$ac_res" >&6; }
  17. -else
  18. - # Is the header compilable?
  19. -{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
  20. -$as_echo_n "checking $ac_header usability... " >&6; }
  21. -cat >conftest.$ac_ext <<_ACEOF
  22. -/* confdefs.h. */
  23. -_ACEOF
  24. -cat confdefs.h >>conftest.$ac_ext
  25. -cat >>conftest.$ac_ext <<_ACEOF
  26. -/* end confdefs.h. */
  27. -$ac_includes_default
  28. -#include <$ac_header>
  29. -_ACEOF
  30. -rm -f conftest.$ac_objext
  31. -if { (ac_try="$ac_compile"
  32. -case "(($ac_try" in
  33. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  34. - *) ac_try_echo=$ac_try;;
  35. -esac
  36. -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
  37. -$as_echo "$ac_try_echo") >&5
  38. - (eval "$ac_compile") 2>conftest.er1
  39. - ac_status=$?
  40. - grep -v '^ *+' conftest.er1 >conftest.err
  41. - rm -f conftest.er1
  42. - cat conftest.err >&5
  43. - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
  44. - (exit $ac_status); } && {
  45. - test -z "$ac_c_werror_flag" ||
  46. - test ! -s conftest.err
  47. - } && test -s conftest.$ac_objext; then
  48. - ac_header_compiler=yes
  49. -else
  50. - $as_echo "$as_me: failed program was:" >&5
  51. -sed 's/^/| /' conftest.$ac_ext >&5
  52. -
  53. - ac_header_compiler=no
  54. -fi
  55. -
  56. -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  57. -{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
  58. -$as_echo "$ac_header_compiler" >&6; }
  59. -
  60. -# Is the header present?
  61. -{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
  62. -$as_echo_n "checking $ac_header presence... " >&6; }
  63. -cat >conftest.$ac_ext <<_ACEOF
  64. -/* confdefs.h. */
  65. -_ACEOF
  66. -cat confdefs.h >>conftest.$ac_ext
  67. -cat >>conftest.$ac_ext <<_ACEOF
  68. -/* end confdefs.h. */
  69. -#include <$ac_header>
  70. -_ACEOF
  71. -if { (ac_try="$ac_cpp conftest.$ac_ext"
  72. -case "(($ac_try" in
  73. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  74. - *) ac_try_echo=$ac_try;;
  75. -esac
  76. -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
  77. -$as_echo "$ac_try_echo") >&5
  78. - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
  79. - ac_status=$?
  80. - grep -v '^ *+' conftest.er1 >conftest.err
  81. - rm -f conftest.er1
  82. - cat conftest.err >&5
  83. - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
  84. - (exit $ac_status); } >/dev/null && {
  85. - test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
  86. - test ! -s conftest.err
  87. - }; then
  88. - ac_header_preproc=yes
  89. -else
  90. - $as_echo "$as_me: failed program was:" >&5
  91. -sed 's/^/| /' conftest.$ac_ext >&5
  92. -
  93. - ac_header_preproc=no
  94. -fi
  95. -
  96. -rm -f conftest.err conftest.$ac_ext
  97. -{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
  98. -$as_echo "$ac_header_preproc" >&6; }
  99. -
  100. -# So? What about this header?
  101. -case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
  102. - yes:no: )
  103. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
  104. -$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
  105. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
  106. -$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
  107. - ac_header_preproc=yes
  108. - ;;
  109. - no:yes:* )
  110. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
  111. -$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
  112. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
  113. -$as_echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
  114. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
  115. -$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
  116. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
  117. -$as_echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
  118. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
  119. -$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
  120. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
  121. -$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
  122. -
  123. - ;;
  124. -esac
  125. -{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
  126. -$as_echo_n "checking for $ac_header... " >&6; }
  127. -if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
  128. - $as_echo_n "(cached) " >&6
  129. -else
  130. - eval "$as_ac_Header=\$ac_header_preproc"
  131. -fi
  132. -ac_res=`eval 'as_val=${'$as_ac_Header'}
  133. - $as_echo "$as_val"'`
  134. - { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
  135. -$as_echo "$ac_res" >&6; }
  136. -
  137. -fi
  138. -as_val=`eval 'as_val=${'$as_ac_Header'}
  139. - $as_echo "$as_val"'`
  140. - if test "x$as_val" = x""yes; then
  141. - cat >>confdefs.h <<_ACEOF
  142. -#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
  143. -_ACEOF
  144. -
  145. -fi
  146. -
  147. -done
  148. -
  149. - if test $ac_cv_header_aio_h = no; then
  150. - echo
  151. - echo 'FATAL ERROR: could not find a valid <aio.h> header.'
  152. - exit 1
  153. - fi
  154. -
  155. -
  156. -for ac_func in lio_listio
  157. -do
  158. -as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
  159. -{ $as_echo "$as_me:$LINENO: checking for $ac_func" >&5
  160. -$as_echo_n "checking for $ac_func... " >&6; }
  161. -if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
  162. - $as_echo_n "(cached) " >&6
  163. -else
  164. - cat >conftest.$ac_ext <<_ACEOF
  165. -/* confdefs.h. */
  166. -_ACEOF
  167. -cat confdefs.h >>conftest.$ac_ext
  168. -cat >>conftest.$ac_ext <<_ACEOF
  169. -/* end confdefs.h. */
  170. -/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
  171. - For example, HP-UX 11i <limits.h> declares gettimeofday. */
  172. -#define $ac_func innocuous_$ac_func
  173. -
  174. -/* System header to define __stub macros and hopefully few prototypes,
  175. - which can conflict with char $ac_func (); below.
  176. - Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  177. - <limits.h> exists even on freestanding compilers. */
  178. -
  179. -#ifdef __STDC__
  180. -# include <limits.h>
  181. -#else
  182. -# include <assert.h>
  183. -#endif
  184. -
  185. -#undef $ac_func
  186. -
  187. -/* Override any GCC internal prototype to avoid an error.
  188. - Use char because int might match the return type of a GCC
  189. - builtin and then its argument prototype would still apply. */
  190. -#ifdef __cplusplus
  191. -extern "C"
  192. -#endif
  193. -char $ac_func ();
  194. -/* The GNU C library defines this for functions which it implements
  195. - to always fail with ENOSYS. Some functions are actually named
  196. - something starting with __ and the normal name is an alias. */
  197. -#if defined __stub_$ac_func || defined __stub___$ac_func
  198. -choke me
  199. -#endif
  200. -
  201. -int
  202. -main ()
  203. -{
  204. -return $ac_func ();
  205. - ;
  206. - return 0;
  207. -}
  208. -_ACEOF
  209. -rm -f conftest.$ac_objext conftest$ac_exeext
  210. -if { (ac_try="$ac_link"
  211. -case "(($ac_try" in
  212. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  213. - *) ac_try_echo=$ac_try;;
  214. -esac
  215. -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
  216. -$as_echo "$ac_try_echo") >&5
  217. - (eval "$ac_link") 2>conftest.er1
  218. - ac_status=$?
  219. - grep -v '^ *+' conftest.er1 >conftest.err
  220. - rm -f conftest.er1
  221. - cat conftest.err >&5
  222. - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
  223. - (exit $ac_status); } && {
  224. - test -z "$ac_c_werror_flag" ||
  225. - test ! -s conftest.err
  226. - } && test -s conftest$ac_exeext && {
  227. - test "$cross_compiling" = yes ||
  228. - $as_test_x conftest$ac_exeext
  229. - }; then
  230. - eval "$as_ac_var=yes"
  231. -else
  232. - $as_echo "$as_me: failed program was:" >&5
  233. -sed 's/^/| /' conftest.$ac_ext >&5
  234. -
  235. - eval "$as_ac_var=no"
  236. -fi
  237. -
  238. -rm -rf conftest.dSYM
  239. -rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
  240. - conftest$ac_exeext conftest.$ac_ext
  241. -fi
  242. -ac_res=`eval 'as_val=${'$as_ac_var'}
  243. - $as_echo "$as_val"'`
  244. - { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
  245. -$as_echo "$ac_res" >&6; }
  246. -as_val=`eval 'as_val=${'$as_ac_var'}
  247. - $as_echo "$as_val"'`
  248. - if test "x$as_val" = x""yes; then
  249. - cat >>confdefs.h <<_ACEOF
  250. -#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
  251. -_ACEOF
  252. -
  253. -fi
  254. -done
  255. -
  256. - if test $ac_cv_func_lio_listio = yes; then
  257. - librt=""
  258. - else
  259. -
  260. -{ $as_echo "$as_me:$LINENO: checking for lio_listio in -lrt" >&5
  261. -$as_echo_n "checking for lio_listio in -lrt... " >&6; }
  262. -if test "${ac_cv_lib_rt_lio_listio+set}" = set; then
  263. - $as_echo_n "(cached) " >&6
  264. -else
  265. - ac_check_lib_save_LIBS=$LIBS
  266. -LIBS="-lrt -lpthread $LIBS"
  267. -cat >conftest.$ac_ext <<_ACEOF
  268. -/* confdefs.h. */
  269. -_ACEOF
  270. -cat confdefs.h >>conftest.$ac_ext
  271. -cat >>conftest.$ac_ext <<_ACEOF
  272. -/* end confdefs.h. */
  273. -
  274. -/* Override any GCC internal prototype to avoid an error.
  275. - Use char because int might match the return type of a GCC
  276. - builtin and then its argument prototype would still apply. */
  277. -#ifdef __cplusplus
  278. -extern "C"
  279. -#endif
  280. -char lio_listio ();
  281. -int
  282. -main ()
  283. -{
  284. -return lio_listio ();
  285. - ;
  286. - return 0;
  287. -}
  288. -_ACEOF
  289. -rm -f conftest.$ac_objext conftest$ac_exeext
  290. -if { (ac_try="$ac_link"
  291. -case "(($ac_try" in
  292. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  293. - *) ac_try_echo=$ac_try;;
  294. -esac
  295. -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
  296. -$as_echo "$ac_try_echo") >&5
  297. - (eval "$ac_link") 2>conftest.er1
  298. - ac_status=$?
  299. - grep -v '^ *+' conftest.er1 >conftest.err
  300. - rm -f conftest.er1
  301. - cat conftest.err >&5
  302. - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
  303. - (exit $ac_status); } && {
  304. - test -z "$ac_c_werror_flag" ||
  305. - test ! -s conftest.err
  306. - } && test -s conftest$ac_exeext && {
  307. - test "$cross_compiling" = yes ||
  308. - $as_test_x conftest$ac_exeext
  309. - }; then
  310. - ac_cv_lib_rt_lio_listio=yes
  311. -else
  312. - $as_echo "$as_me: failed program was:" >&5
  313. -sed 's/^/| /' conftest.$ac_ext >&5
  314. -
  315. - ac_cv_lib_rt_lio_listio=no
  316. -fi
  317. -
  318. -rm -rf conftest.dSYM
  319. -rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
  320. - conftest$ac_exeext conftest.$ac_ext
  321. -LIBS=$ac_check_lib_save_LIBS
  322. -fi
  323. -{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_rt_lio_listio" >&5
  324. -$as_echo "$ac_cv_lib_rt_lio_listio" >&6; }
  325. -if test "x$ac_cv_lib_rt_lio_listio" = x""yes; then
  326. - cat >>confdefs.h <<_ACEOF
  327. -#define HAVE_LIBRT 1
  328. -_ACEOF
  329. -
  330. - LIBS="-lrt $LIBS"
  331. -
  332. -else
  333. -
  334. - echo
  335. - echo 'FATAL ERROR: could not find a library with lio_listio.'
  336. - exit 1
  337. -fi
  338. -
  339. - librt="-lrt"
  340. - fi
  341. -
  342. -
  343. -